Opened 10 years ago

Last modified 7 years ago

#1124 closed defect (Won't fix)

Proxy error 504 connecting hidden serrvice

Reported by: crp Owned by:
Priority: High Milestone:
Component: Core Tor/Tor Version: 0.2.2.5-alpha
Severity: Keywords:
Cc: crp, nickm, karsten, arma Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

this url used to works OK

http://3xofiggysc6rgygv.onion:8181/

this is yacy hidden search engine, available for all tor users.

use: well , to seach for objectionable things , et all

However stopped working after I update tor software
the error is
[code]
504 Connect to 3xofiggysc6rgygv.onion:8181 failed: SOCKS error: host unreachable

The following error occurred while trying to access http://3xofiggysc6rgygv.onion:8181/:

504 Connect to 3xofiggysc6rgygv.onion:8181 failed: SOCKS error: host unreachable
Generated Fri, 16 Oct 2009 21:34:47 E. South America Standard Time by Polipo on localhost:8118.
code

Thanks

[Automatically added by flyspray2trac: Operating System: Windows 2k/XP]

Child Tickets

Change History (5)

comment:1 Changed 10 years ago by karsten

So, you upgraded from 0.2.0.x or 0.2.1.x to 0.2.2.x and the hidden service
stopped working? If so, the reason is most likely that the Tor version that
the hidden service runs on publishes an old hidden service descriptor
format that is not supported by 0.2.2.x anymore. The simple (though
unsatisfactory) answer is that they should upgrade their Tor version to the
latest stable version (0.2.1.x). By doing that they are reachable for both
old clients (0.1.x) and new clients (0.2.x). On the other hand, if they
keep running the old version (that is not supported anymore and may have
security bugs), more clients will be unable to connect to them in the
future.

comment:2 Changed 10 years ago by crp

my hidden service is working OK here http://127.0.0.1:8181/

both tor server , and my hidden service , runs in the same pc
as well my browser firefox v3.5.3

I believe that this way , there is no different versions of tor (server / client) into this problem

ps: the upgrade was from version 0.2.2.1 to version 0.2.2.5
downoaded from here http://www.torproject.org/dist/vidalia-bundles/vidalia-bundle-0.2.2.5-alpha-0.2.5.exe

thanks

comment:3 Changed 10 years ago by karsten

The problem only shows up when a recent client tries to access an outdated
and unsupported hidden service. This is intentional in the sense that we
decided to give up support for outdated versions. If we didn't do that, the
old descriptor version would be around forever.

I'm going to close this task as Won't fix.

comment:4 Changed 10 years ago by karsten

flyspray2trac: bug closed.

comment:5 Changed 7 years ago by nickm

Component: Tor RelayTor
Note: See TracTickets for help on using tickets.